Package com.omnisci.thrift.server

## Class OmniSci.start_query_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.start_query_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.start_query_args>`, `org.apache.thrift.TBase<OmniSci.start_query_args,​OmniSci.start_query_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.start_query_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.start_query_args,​OmniSci.start_query_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.start_query_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.start_query_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `just_explain`
`String` `leaf_session`
`static Map<OmniSci.start_query_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<Long>` `outer_fragment_indices`
`String` `parent_session`
`String` `query_ra`
`String` `start_time_str`

### Constructor Summary

Constructors
`start_query_args()`
`start_query_args​(OmniSci.start_query_args other)` Performs a deep copy on other.
`start_query_args​(String leaf_session, String parent_session, String query_ra, String start_time_str, boolean just_explain, List<Long> outer_fragment_indices)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToOuter_fragment_indices​(long elem)`
`void` `clear()`
`int` `compareTo​(OmniSci.start_query_args other)`
`OmniSci.start_query_args` `deepCopy()`
`boolean` `equals​(OmniSci.start_query_args that)`
`boolean` `equals​(Object that)`
`OmniSci.start_query_args._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(OmniSci.start_query_args._Fields field)`
`String` `getLeaf_session()`
`List<Long>` `getOuter_fragment_indices()`
`Iterator<Long>` `getOuter_fragment_indicesIterator()`
`int` `getOuter_fragment_indicesSize()`
`String` `getParent_session()`
`String` `getQuery_ra()`
`String` `getStart_time_str()`
`int` `hashCode()`
`boolean` `isJust_explain()`
`boolean` `isSet​(OmniSci.start_query_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetJust_explain()` Returns true if field just_explain is set (has been assigned a value) and false otherwise
`boolean` `isSetLeaf_session()` Returns true if field leaf_session is set (has been assigned a value) and false otherwise
`boolean` `isSetOuter_fragment_indices()` Returns true if field outer_fragment_indices is set (has been assigned a value) and false otherwise
`boolean` `isSetParent_session()` Returns true if field parent_session is set (has been assigned a value) and false otherwise
`boolean` `isSetQuery_ra()` Returns true if field query_ra is set (has been assigned a value) and false otherwise
`boolean` `isSetStart_time_str()` Returns true if field start_time_str is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(OmniSci.start_query_args._Fields field, Object value)`
`OmniSci.start_query_args` `setJust_explain​(boolean just_explain)`
`void` `setJust_explainIsSet​(boolean value)`
`OmniSci.start_query_args` `setLeaf_session​(String leaf_session)`
`void` `setLeaf_sessionIsSet​(boolean value)`
`OmniSci.start_query_args` `setOuter_fragment_indices​(List<Long> outer_fragment_indices)`
`void` `setOuter_fragment_indicesIsSet​(boolean value)`
`OmniSci.start_query_args` `setParent_session​(String parent_session)`
`void` `setParent_sessionIsSet​(boolean value)`
`OmniSci.start_query_args` `setQuery_ra​(String query_ra)`
`void` `setQuery_raIsSet​(boolean value)`
`OmniSci.start_query_args` `setStart_time_str​(String start_time_str)`
`void` `setStart_time_strIsSet​(boolean value)`
`String` `toString()`
`void` `unsetJust_explain()`
`void` `unsetLeaf_session()`
`void` `unsetOuter_fragment_indices()`
`void` `unsetParent_session()`
`void` `unsetQuery_ra()`
`void` `unsetStart_time_str()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### leaf_session

    public String leaf_session

#### parent_session

    public String parent_session

#### query_ra

    public String query_ra

#### start_time_str

    public String start_time_str

#### just_explain

    public boolean just_explain

#### outer_fragment_indices

    public List<Long> outer_fragment_indices

#### metaDataMap

    public static final Map<OmniSci.start_query_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### start_query_args

    public start_query_args()

#### start_query_args

    public start_query_args​(String leaf_session,
                            String parent_session,
                            String query_ra,
                            String start_time_str,
                            boolean just_explain,
                            List<Long> outer_fragment_indices)

#### start_query_args

    public start_query_args​(OmniSci.start_query_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.start_query_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.start_query_args,​OmniSci.start_query_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.start_query_args,​OmniSci.start_query_args._Fields>`

#### getLeaf_session

    public String getLeaf_session()

#### setLeaf_session

    public OmniSci.start_query_args setLeaf_session​(String leaf_session)

#### unsetLeaf_session

    public void unsetLeaf_session()

#### isSetLeaf_session

    public boolean isSetLeaf_session()

Returns true if field leaf_session is set (has been assigned a value) and false otherwise

#### setLeaf_sessionIsSet

    public void setLeaf_sessionIsSet​(boolean value)

#### getParent_session

    public String getParent_session()

#### setParent_session

    public OmniSci.start_query_args setParent_session​(String parent_session)

#### unsetParent_session

    public void unsetParent_session()

#### isSetParent_session

    public boolean isSetParent_session()

Returns true if field parent_session is set (has been assigned a value) and false otherwise

#### setParent_sessionIsSet

    public void setParent_sessionIsSet​(boolean value)

#### getQuery_ra

    public String getQuery_ra()

#### setQuery_ra

    public OmniSci.start_query_args setQuery_ra​(String query_ra)

#### unsetQuery_ra

    public void unsetQuery_ra()

#### isSetQuery_ra

    public boolean isSetQuery_ra()

Returns true if field query_ra is set (has been assigned a value) and false otherwise

#### setQuery_raIsSet

    public void setQuery_raIsSet​(boolean value)

#### getStart_time_str

    public String getStart_time_str()

#### setStart_time_str

    public OmniSci.start_query_args setStart_time_str​(String start_time_str)

#### unsetStart_time_str

    public void unsetStart_time_str()

#### isSetStart_time_str

    public boolean isSetStart_time_str()

Returns true if field start_time_str is set (has been assigned a value) and false otherwise

#### setStart_time_strIsSet

    public void setStart_time_strIsSet​(boolean value)

#### isJust_explain

    public boolean isJust_explain()

#### setJust_explain

    public OmniSci.start_query_args setJust_explain​(boolean just_explain)

#### unsetJust_explain

    public void unsetJust_explain()

#### isSetJust_explain

    public boolean isSetJust_explain()

Returns true if field just_explain is set (has been assigned a value) and false otherwise

#### setJust_explainIsSet

    public void setJust_explainIsSet​(boolean value)

#### getOuter_fragment_indicesSize

    public int getOuter_fragment_indicesSize()

#### getOuter_fragment_indicesIterator

    public Iterator<Long> getOuter_fragment_indicesIterator()

#### addToOuter_fragment_indices

    public void addToOuter_fragment_indices​(long elem)

#### getOuter_fragment_indices

    public List<Long> getOuter_fragment_indices()

#### setOuter_fragment_indices

    public OmniSci.start_query_args setOuter_fragment_indices​(List<Long> outer_fragment_indices)

#### unsetOuter_fragment_indices

    public void unsetOuter_fragment_indices()

#### isSetOuter_fragment_indices

    public boolean isSetOuter_fragment_indices()

Returns true if field outer_fragment_indices is set (has been assigned a value) and false otherwise

#### setOuter_fragment_indicesIsSet

    public void setOuter_fragment_indicesIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.start_query_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.start_query_args,​OmniSci.start_query_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.start_query_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.start_query_args,​OmniSci.start_query_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.start_query_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.start_query_args,​OmniSci.start_query_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.start_query_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.start_query_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.start_query_args>`

#### fieldForId

    public OmniSci.start_query_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.start_query_args,​OmniSci.start_query_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`